module ActionTexter
  class Configuration
    attr_accessor :from, :to, :endpoint, :path, :product_token, :content_type

    alias_method :api_key=, :product_token=

    def defaults
      @defaults ||= { from: from, to: to, content_type: content_type }
    end

    def initialize
      @endpoint = 'https://rest.sms-service.com'
      @path = '/messages'
      @content_type = 'application/json'
    end
  end
end
