require 'action_texter/response'
require 'action_texter/validator/request'

module ActionTexter
  class Request
    attr_accessor :body

    attr_reader :response

    def initialize(body)
      @body = body
    end

    def perform
      fail NotImplementedError if valid?
    end

    def valid?
      ActionTexter::Validator::Request.new
    end
  end
end
