require 'action_texter/configuration'

module ActionTexter
  autoload :Messenger, 'action_texter/messenger'
  autoload :Message, 'action_texter/message'
  autoload :Request, 'action_texter/request'
  autoload :Helper, 'action_texter/helper'
  autoload :MessageDelivery, 'action_texter/message_delivery'

  class << self
    def configure
      yield(configuration)
    end

    def configuration
      @configuration ||= Configuration.new
    end

    alias_method :config, :configuration
  end
end
